include('lib/JavaScriptUtil.js');
include('lib/Parsers.js');
include('lib/InputMask.js');


Button.prototype.disable = function()
{
	document.getElementById( this.getId() ).disabled = true;
}

Button.prototype.enable = function()
{
	document.getElementById( this.getId() ).disabled = false;
}

Grid.prototype.setJustify = function( aAlign )
{
   var rowcount = this.getRowCount()
   var i = 0;
   var j = 0;
   for( i = rowcount - 1; i > 0; i-- )
   {
      for( j = 1; j <= ( aAlign ).length; j++ )
      {
         document.getElementById( this.getId() ).rows[ i ].cells[ j ].style.textAlign = aAlign[ j - 1 ];
      }   
   }
}

TextBox.prototype.setJustify = function( cAlign )
{
   document.getElementById( this.getId() ).style.textAlign = cAlign;
}

TextBox.prototype.setNumericMask = function ( nDigits, nDecimals, cDecimalSeparator, cGroupSeparator, lMinusAllowed )
{
   var numParser3 = new NumberParser( nDecimals, cDecimalSeparator, cGroupSeparator, true );
   var numMask3 = new NumberMask( numParser3, document.getElementById( this.getId() ), nDigits );
   numMask3.allowNegative = lMinusAllowed;
   numMask3.leftToRight = true;
}   

TextBox.prototype.isValid = function ()
{
   return getObject( this.getId() ).mask.isComplete();
}